
#include "_shared.fx"
  
float4x4	mWorld;
texture		tBase;
texture		tEnv;
int			dwCull = 3; // 2=CW, 3=CCW

technique tec0 {
	pass P0 {
		Fvf          = Xyz | Normal | Tex1;

		WorldTransform[0] = (mWorld);
		Texture[0]   = (tBase);
		Texture[1]   = (tEnv);

		CullMode = (dwCull);

		TexCoordIndex[1] = CameraSpaceNormal;
		TextureTransform[1] = (mSphereMap);
		TextureTransformFlags[1] = Count2;

        // lighting
		Lighting = True;

		ColorOp[0]	 = Modulate;
		ColorArg1[0] = Texture;
		ColorArg2[0] = Current;
		AlphaOp[0]	 = SelectArg1;
		AlphaArg1[0] = Current;

		ColorOp[1]	 = Add;
		ColorArg1[1] = Current;
		ColorArg2[1] = Texture;
		AlphaOp[1]	 = SelectArg1;
		AlphaArg1[1] = Current;
		
		ColorOp[2]	 = Disable;
		AlphaOp[2]	 = Disable;
	}
}
